LINUX.ORG.RU

hiri

 


0

1

Товарищи-братья, Стесняюсь спросить, но тем не менее, может кто сталкивался? Выхлоп ниже по тексту . В двух словах. hiri - почтовый клиент для exchange only. Проблема в libGL.so.1 , но он есть в системе (меса стоит) и с ним все вроде бы должно быть в порядке. А поддержка у них платная.

[rdga12@archlinux]: ~>$ hiri Traceback (most recent call last): File «site-packages/PyInstaller/loader/pyiboot01_bootstrap.py», line 149, in __init__ File «ctypes/__init__.py», line 347, in __init__ OSError: /usr/lib/libgobject-2.0.so.0: undefined symbol: g_source_destroy

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File «site-packages/OpenGL/platform/glx.py», line 17, in GL File «site-packages/OpenGL/platform/ctypesloader.py», line 45, in loadLibrary File «site-packages/PyInstaller/loader/pyiboot01_bootstrap.py», line 151, in __init__ __main__.PyInstallerImportError: («Failed to load dynlib/dll 'libGL.so.1'. Most probably this dynlib/dll was not found when the application was frozen.», 'libGL.so.1', 'libGL.so.1')

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File «hiriapp.py», line 94, in <module> File «/home/ubuntu/.virtualenvs/hiri/lib/python3.5/site-packages/PyInstaller/loader/pyimod03_importers.py», line 631, in exec_module File «site-packages/OpenGL/GL/__init__.py», line 3, in <module> File «/home/ubuntu/.virtualenvs/hiri/lib/python3.5/site-packages/PyInstaller/loader/pyimod03_importers.py», line 631, in exec_module File «site-packages/OpenGL/error.py», line 12, in <module> File «/home/ubuntu/.virtualenvs/hiri/lib/python3.5/site-packages/PyInstaller/loader/pyimod03_importers.py», line 631, in exec_module File «site-packages/OpenGL/platform/__init__.py», line 35, in <module> File «site-packages/OpenGL/platform/__init__.py», line 32, in _load File «site-packages/OpenGL/platform/baseplatform.py», line 92, in install File «site-packages/OpenGL/platform/baseplatform.py», line 14, in __get__ File «site-packages/OpenGL/platform/glx.py», line 96, in GetCurrentContext File «site-packages/OpenGL/platform/baseplatform.py», line 14, in __get__ File «site-packages/OpenGL/platform/glx.py», line 20, in GL ImportError: ('Unable to load OpenGL library', «Failed to load dynlib/dll 'libGL.so.1'. Most probably this dynlib/dll was not found when the application was frozen.», 'libGL.so.1', 'libGL.so.1') [6287] Failed to execute script hiriapp

Проблема в libGL.so.1 , но он есть в системе (меса стоит) и с ним все вроде бы должно быть в порядке.

А требуемая версия для приложения и установленная совпадают?

mord0d ()
Ответ на: комментарий от mord0d

На ноуте mesa 19.1

На компе mesa 19.1

На ноуте все Ок На компе Unable to load OpenGL library', «Failed to load dynlib/dll 'libGL.so.1'. Most probably this dynlib/dll was not found when the application was frozen.», 'libGL.so.1', 'libGL.so.1'

Как можно задать параметром приложению где брать библиотеку?

rdga12 ()
Ответ на: комментарий от rdga12

Не на версию пакета смотри, а на версию библиотеки.

Смотри, что требует приложение (я этот однострочно-склеенный трейс читать отказываюсь, оформи нормально), и что предоставляется пакетом (не симлинк libGL.so.1, а то, на что он ссылается).

mord0d ()
Ответ на: комментарий от mord0d

Критика к месту. Оформил.

***

[rdga@archlinux]: ~>$ hiri
Traceback (most recent call last):
File «site-packages/PyInstaller/loader/pyiboot01_bootstrap.py», line 149, in __init__
File «ctypes/__init__.py», line 347, in __init__
OSError: /usr/lib/libgobject-2.0.so.0: undefined symbol: g_source_destroy

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File «site-packages/OpenGL/platform/glx.py», line 17, in GL
File «site-packages/OpenGL/platform/ctypesloader.py», line 45, in loadLibrary
File «site-packages/PyInstaller/loader/pyiboot01_bootstrap.py», line 151, in __init__
__main__.PyInstallerImportError: («Failed to load dynlib/dll 'libGL.so.1'. Most probably this dynlib/dll was not found when the application was frozen.», 'libGL.so.1', 'libGL.so.1')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File «hiriapp.py», line 94, in <module>
File «/home/ubuntu/.virtualenvs/hiri/lib/python3.5/site-packages/PyInstaller/loader/pyimod03_importers.py», line 631, in exec_module
File «site-packages/OpenGL/GL/__init__.py», line 3, in <module>
File «/home/ubuntu/.virtualenvs/hiri/lib/python3.5/site-packages/PyInstaller/loader/pyimod03_importers.py», line 631, in exec_module File «site-packages/OpenGL/error.py», line 12, in <module>
File «/home/ubuntu/.virtualenvs/hiri/lib/python3.5/site-packages/PyInstaller/loader/pyimod03_importers.py», line 631, in exec_module File «site-packages/OpenGL/platform/__init__.py», line 35, in <module>
File «site-packages/OpenGL/platform/__init__.py», line 32, in _load
File «site-packages/OpenGL/platform/baseplatform.py», line 92, in install
File «site-packages/OpenGL/platform/baseplatform.py», line 14, in __get__
File «site-packages/OpenGL/platform/glx.py», line 96, in GetCurrentContext
File «site-packages/OpenGL/platform/baseplatform.py», line 14, in __get__
File «site-packages/OpenGL/platform/glx.py», line 20, in GL ImportError: ('Unable to load OpenGL library', «Failed to load dynlib/dll 'libGL.so.1'. Most probably this dynlib/dll was not found when the application was frozen.», 'libGL.so.1', 'libGL.so.1')
[1211] Failed to execute script hiriapp
[rdga@archlinux]: ~>$

rdga12 ()
Ответ на: комментарий от constin

Не понял , как все это связано с virtualenvs и почему на ноуте все Ок уже целый год, а на свежепрединсталлированной почти в 1 в 1 подобной системе/дистрибутиве кое-что через Жэ?

rdga12 ()
Ответ на: комментарий от Dark_SavanT

Arch уже раз 200 переустанавливал. Все делал по шаблону. На работе комп dell optiplex 3010 и ноут dell latitude 3470. Абсолютно эдентичные манипуляции при установке. На ноуте все Ок. На компе х*у. Единственное различие в файловых системах. На компе EXT4 на ноуте F2FS

rdga12 ()